"use strict";
/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.findUpperCaseKeys = void 0;
const ts_types_1 = require("@salesforce/ts-types");
const kit_1 = require("@salesforce/kit");
const findUpperCaseKeys = (data, sectionBlocklist = []) => {
    let key;
    (0, kit_1.findKey)(data, (val, k) => {
        if (/^[A-Z]/.test(k)) {
            key = k;
        }
        else if ((0, ts_types_1.isJsonMap)(val)) {
            if (sectionBlocklist.includes(k)) {
                return key;
            }
            key = (0, exports.findUpperCaseKeys)((0, ts_types_1.asJsonMap)(val));
        }
        return key;
    });
    return key;
};
exports.findUpperCaseKeys = findUpperCaseKeys;
//# sourceMappingURL=findUppercaseKeys.js.map